> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.payroc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.payroc.com/_mcp/server.

# Retrieve funding instruction

GET https://api.payroc.com/v1/funding-instructions/{instructionId}

Use this method to retrieve information about a funding instruction.  

To retrieve a funding instruction, you need its instructionId. Our gateway returned the instructionId in the response of the [Create Funding Instruction](https://docs.payroc.com/api/schema/funding/funding-instructions/create) method. 

**Note:** If you don't have the instructionId, use our [List Funding Instructions](https://docs.payroc.com/api/schema/funding/funding-instructions/list) method to search for the funding instruction.  

Our gateway returns the following information about the funding instruction:  
-	Status of the funding instruction.  
-	Funding information, including which merchant's funding balance we distribute and the funding account that we send the balance to.  


Reference: https://docs.payroc.com/api/schema/funding/funding-instructions/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.payroc.com/v1` (Production, default)
- `https://api.uat.payroc.com/v1` (UAT)

## Request

### Path parameters

- `instructionId` (integer, required) — Unique identifier that we assigned to the funding instruction.

## Response

### 200

Successful request. Returns the funding instruction.

- `instructionId` (integer, optional) — Unique identifier that we assigned to the funding instruction.
- `createdDate` (string, optional) — Date that we created the funding instruction. The date format follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard.
- `lastModifiedDate` (string, optional) — Date of the most recent change to the funding instruction. The date format follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard.
- `status` (enum, optional) — Status of the funding instruction. Our gateway returns one of the following values: - `accepted` - We have received the funding instruction but have not yet reviewed it. - `pending` - We have received the funding instruction and we are reviewing it. - `completed` - We have reviewed and processed the funding instruction.
  - Allowed values: `accepted`, `pending`, `completed`
- `merchants` (list of object, optional) — Array of merchants objects. Each object specifies the merchant whose funding balance we distribute and who you want to send the funds to.
  - `merchantId` (string, required) — Unique identifier that the processor assigned to the merchant.
  - `recipients` (list of object, required) — Array of recipients objects. Each object contains information about the funding account and the amount of funds we send to the funding account.
    - `fundingAccountId` (integer, required) — Unique identifier that we assigned to the funding account.
    - `paymentMethod` (enum, required) — Payment method that we use to send funds to the funding account.
      - Allowed values: `ACH`
    - `amount` (object, required) — Object that contains information about the funds that we send to the funding account.
      - `value` (integer, required) — Amount of funds in the currency's lowest denomination, for example, cents.
      - `currency` (enum, optional, default: USD) — Currency of the value parameter.
        - Allowed values: `USD`
    - `status` (enum, optional) — Status of the individual payment instruction. Our gateway returns one of the following values: - `accepted` - We received the payment instruction, but we haven't reviewed it. - `pending` - We are reviewing the payment instruction. - `released` - We approved the payment instruction. - `funded` - We sent the funds to the funding account by ACH. - `failed` - The ACH payment to the funding account failed. - `rejected` - We reviewed the payment instruction and rejected it. - `onHold` - We have placed the payment instruction on hold.
      - Allowed values: `accepted`, `pending`, `released`, `funded`, `failed`, `rejected`, `onHold`
    - `metadata` (map from string to string, optional) — [Metadata](https://docs.payroc.com/api/metadata) object you can use to include custom data with your request.
    - `link` (object, optional) — Object that contains HATEOAS links for the resource.
      - `rel` (string, optional) — Indicates the relationship between the current resource and the target resource.
      - `method` (string, optional) — HTTP method that you need to use with the target resource.
      - `href` (string, optional) — URL of the target resource.
  - `link` (object, optional) — Object that contains HATEOAS links for the resource.
    - `rel` (string, optional) — Indicates the relationship between the current resource and the target resource.
    - `method` (string, optional) — HTTP method that you need to use with the target resource.
    - `href` (string, optional) — URL of the target resource.
- `metadata` (map from string to string, optional) — [Metadata](https://docs.payroc.com/api/metadata) object you can use to include custom data with your request.

## Errors

### 400 Bad Request Error

Validation error.

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `errors` (list of object, optional)
  - `message` (string, optional) — Error message

### 401 Unauthorized Error

Identity could not be verified

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem

### 403 Forbidden Error

Do not have permissions to perform this action

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `instance` (string, optional) — Resource path the action was attempted on
- `resource` (string, optional) — Resource the action was attempted on

### 404 Not Found Error

Resource not found

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `resource` (string, optional) — Resource that was not found

### 406 Not Acceptable Error

Not acceptable

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem

### 500 Internal Server Error

An error has occured

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `errors` (list of object, optional)
  - `message` (string, optional) — Error message

## Examples

**Response**

```json
{
  "instructionId": 64643131,
  "createdDate": "2024-07-02T15:30:00Z",
  "lastModifiedDate": "2024-07-02T15:30:00Z",
  "status": "accepted",
  "merchants": [
    {
      "merchantId": "4525644354",
      "recipients": [
        {
          "fundingAccountId": 123,
          "paymentMethod": "ACH",
          "amount": {
            "value": 120000,
            "currency": "USD"
          },
          "status": "accepted",
          "metadata": {
            "yourCustomField": "abc123"
          },
          "link": {
            "rel": "fundingAccount",
            "method": "get",
            "href": "https://api.payroc.com/v1/funding-accounts/123"
          }
        }
      ],
      "link": {
        "rel": "merchant",
        "method": "get",
        "href": "https://api.payroc.com/v1/processing-accounts/4525644354"
      }
    }
  ],
  "metadata": {
    "yourCustomField": "abc123"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.payroc.com/v1/funding-instructions/64643131"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.payroc.com/v1/funding-instructions/64643131';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/funding-instructions/64643131"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/funding-instructions/64643131")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.payroc.com/v1/funding-instructions/64643131")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.payroc.com/v1/funding-instructions/64643131', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/funding-instructions/64643131");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/funding-instructions/64643131")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```